<?php
$n=10;
function getName($n) {
    $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $randomString = '';
  
    for ($i = 0; $i < $n; $i++) {
        $index = rand(0, strlen($characters) - 1);
        $randomString .= $characters[$index];
    }
  
    return $randomString;
}
?>
<?php
$viewModel = $block->getData('view_model');
$baseurl = $viewModel->getCurrentStore()->getBaseUrl();
?>

<div id="popup-modal" style="display:none;">
    <div id="country-popup-id">
        
    </div>
</div>
<script>
    require(
        [
            'jquery',
            'Magento_Ui/js/modal/modal',
            'mage/cookies'
        ],
        function(
            $,
            modal
        ) {
            var options = {
                type: 'popup',
                responsive: true,
                innerScroll: true,
                title: '',
                buttons: []
            };

            /*$("#close-geopopup").click(function() {
                $("#popup-modal").modal("closeModal");   
            });*/
            
             $( document ).ready(function() {      
                $.ajax({
                        showLoader: true,
                        url: "<?php /* @escapeNotVerified */ echo $baseurl.'accounthome/geolocation'; ?>",
                        data: [],
                        type: "GET",
                        dataType: "json",
                    })
                    .done(function (data) {
                        $("#country-popup-id").append(data.popupHtml);
                        //alert($.mage.cookies.get('storeredirectcookie') );
                        //alert(data.showPopup);
                        if(data.showPopup){
                            if($.mage.cookies.get('storeredirectcookie') != 'visible'){
                                $("#close-geopopup").click(function() {
                                    $("#popup-modal").modal("closeModal");   
                                });
                                var popup = modal(options, $('#popup-modal'));
                                $('#popup-modal').modal('openModal');
                            }
                            $.mage.cookies.set('storeredirectcookie', 'visible',{lifetime: -1});
                        }
                        console.log(data);
                    });
                
        });
        }
    );
</script>
<!-- Start of alogic600 Zendesk Widget script -->
<script defer id="ze-snippet" src="https://static.zdassets.com/ekr/snippet.js?key=aefb0902-19df-47a3-a47a-37700230c2ee" > </script>
<!-- End of alogic600 Zendesk Widget script -->
